aboutsummaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
authorRob Landley <rob@landley.net>2014-08-30 13:03:40 -0500
committerRob Landley <rob@landley.net>2014-08-30 13:03:40 -0500
commit50b82970b1bd599fb84fd3add0b60cb0cb3e40c7 (patch)
tree38311cea7b2c695db0635f199a1daac031c5ed58 /scripts
parent14c8ef42870ca9623b44e369c0231766e8371bfd (diff)
downloadtoybox-50b82970b1bd599fb84fd3add0b60cb0cb3e40c7.tar.gz
Add VERBOSE=fail to "make tests", based on suggestion from Johan Bergstr?m.
Diffstat (limited to 'scripts')
-rw-r--r--scripts/test/testing.sh2
1 files changed, 2 insertions, 0 deletions
diff --git a/scripts/test/testing.sh b/scripts/test/testing.sh
index b7eacc68..ea2d6c41 100644
--- a/scripts/test/testing.sh
+++ b/scripts/test/testing.sh
@@ -7,6 +7,7 @@
# The following environment variables enable optional behavior in "testing":
# DEBUG - Show every command run by test script.
# VERBOSE - Print the diff -u of each failed test case.
+# If equal to "fail", stop after first failed test.
# SKIP - do not perform this test (this is set by "optionflag")
#
# The "testing" function takes five arguments:
@@ -83,6 +84,7 @@ testing ()
then
echo "echo '$5' | $2"
diff -u expected actual
+ [ "$VERBOSE" == fail ] && exit 1
fi
else
echo "PASS: $NAME"